org.jfree.chart.editor

## Class ChartEditorManager

- java.lang.Object
- - org.jfree.chart.editor.ChartEditorManager

    public class ChartEditorManager
    extends java.lang.Object

The central point for obtaining `ChartEditor` instances for editing charts. Right now, the API is minimal - the plan is to extend this class to provide customisation options for chart editors (for example, make some editor items read-only).

### Method Summary

Methods
`static ChartEditor` `getChartEditor(JFreeChart chart)` Returns a component that can be used to edit the given chart.
`static ChartEditorFactory` `getChartEditorFactory()` Returns the current factory.
`static void` `setChartEditorFactory(ChartEditorFactory f)` Sets the chart editor factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getChartEditorFactory

    public static ChartEditorFactory getChartEditorFactory()

Returns the current factory.

Returns:
  The current factory (never `null`).

#### setChartEditorFactory

    public static void setChartEditorFactory(ChartEditorFactory f)

Sets the chart editor factory.

Parameters:
  `f` - the new factory (`null` not permitted).

#### getChartEditor

    public static ChartEditor getChartEditor(JFreeChart chart)

Returns a component that can be used to edit the given chart.

Parameters:
  `chart` - the chart.
Returns:
  The chart editor.